<?php
include '../config.php';
// prevent XSS
$_GET   = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
//$_POST  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);


$enviado = $_GET['enviado'];
///////////ESPAÑOL

    $time = time();
    
    $nombre_es = trim($_GET['nombre_es']);
    $nombre_es = strip_tags($nombre_es);
    $nombre_es = htmlspecialchars($nombre_es);

    $link_es = trim($_GET['link_es']);
    $link_es = strip_tags($link_es);
    $link_es = htmlspecialchars($link_es);

    $icono_es = trim($_GET['icono_es']);
    $icono_es = strip_tags($icono_es);
    $icono_es = htmlspecialchars($icono_es);


    ///////////INGLÉS

    $time_en = time();

    $nombre_en = trim($_GET['nombre_en']);
    $nombre_en = strip_tags($nombre_en);
    $nombre_en = htmlspecialchars($nombre_en);

    $link_en = trim($_GET['link_en']);
    $link_en = strip_tags($link_en);
    $link_en = htmlspecialchars($link_en);

    $icono_en = trim($_GET['icono_en']);
    $icono_en = strip_tags($icono_en);
    $icono_en = htmlspecialchars($icono_en);

    ///////////////////////PETICIÓN GRAPH CMS
    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => $endpoint_graph_cms,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',

        CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  createRedSocial(data: {icono: \\"'.$icono_en.'\\", link: \\"'.$link_en.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", localizations: {create: {data: {icono: \\"'.$icono_es.'\\", link: \\"'.$link_es.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", nombre: \\"'.$nombre_es.'\\"}, locale: es_MX}}, nombre: \\"'.$nombre_en.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n}","variables":{}}',


        CURLOPT_HTTPHEADER => array(
          'Content-Type: application/json',
          'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
        ),
      ));

    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['createRedSocial']['id'];
    //echo $id;

    if(strlen($id)>10){

        echo '
        <script>
            $("#formnew").trigger("reset");
            $("#formnew").trigger("reset");
            $("#respuestanew").append("<h5>Red social añadida correctamente.</h5>");
        
            setTimeout(() => {
                $(".popUpNew").fadeOut();        
            }, 3000);
        </script>';

        
    }

    else{
        $errorclass ="class='errormensaje'"; 
        echo '
        <script>
            $("#respuestanew").append("<p '.$errorclass.'>OCurrió un error al añadir el contenido. Verifica la información o intenta nuevamente en unos minutos.</p>");

            setTimeout(() => {
                //$(".popUpNew").fadeOut();        
            }, 3000);
        </script>';
    }



